<?php
/**
* Outputs the customizer styles.
*
* @package corporate-one
*/

/**
* Outputs the custom styles for the theme.
*
* @return void
*/
function customizer_styles() {
$theme_color      = get_theme_mod( 'compact_theme_color', '#3a6591' );
$background_color = get_theme_mod( 'background_color', '#fff' );
$buttons_radius   = get_theme_mod( 'responsive_buttons_radius', 30 );
$blog_content_width = get_theme_mod( 'responsive_blog_content_width', 75 );
    if ( is_page() ) {
        $page_content_width = get_post_meta( get_the_ID(), 'responsive_page_meta_content_width', true ) ? get_post_meta( get_the_ID(), 'responsive_page_meta_content_width', true ) : esc_html( get_theme_mod( 'responsive_page_content_width', 75 ) );
    } else {
        $page_content_width = esc_html( get_theme_mod( 'responsive_page_content_width', 75 ) );
    }

$buttons_radius   = $buttons_radius . 'px';
$custom_css       = "
.hentry .read-more a, article.product .read-more a{
    background-color: $theme_color;
    border-radius: 3px;
    color:#fff;
    padding: 6px 15px;
    margin: 1%;
}
body{
background-color: $background_color;
}
@media (min-width:992px) {
		.search:not(.post-type-archive-product) .content-area,
		.archive:not(.post-type-archive-product):not(.post-type-archive-course) .content-area,
		.blog:not(.custom-home-page-active) .content-area {
			width:$blog_content_width%;
		}
		.search:not(.post-type-archive-product) aside.widget-area,
		.archive:not(.post-type-archive-product) aside.widget-area,
		.blog:not(.custom-home-page-active) aside.widget-area {
			width: calc(100% - $blog_content_width%);
		}
	}
@media (min-width:992px) {
		.a, .page:not(.page-template-gutenberg-fullwidth):not(.page-template-full-width-page):not(.woocommerce-cart):not(.woocommerce-checkout):not(.front-page) .content-area {
			width:$page_content_width%;
		}
		.page aside.widget-area:not(.home-widgets) {
			width: calc(100% - $page_content_width%);
		}
	}
#scroll {
background-color: $theme_color;
}
#scroll:hover {
background-color: $theme_color;
}
#scroll span {
border-bottom-color : #fff;
}
#scroll:hover span {
border-bottom-color : #fff;
}

#secondary .widget-title :after {
border-bottom: solid 2px $theme_color;
bottom: -7px;
content: '';
left: 0;
position: absolute;
width: 100px;
}
.wc-block-grid__product-price,
.woocommerce ul.products li.product .price {
color: $theme_color;
}

.woocommerce #respond input#submit,
.wp-block-button__link.add_to_cart_button,
.woocommerce div.product .woocommerce-tabs ul.tabs li a,
.woocommerce div.product .woocommerce-tabs ul.tabs li,
.woocommerce button.button.alt,
.woocommerce button.button,
.woocommerce a.button {
background-color: $theme_color;
}
.woocommerce div.product .woocommerce-tabs ul.tabs::before,
.woocommerce div.product .woocommerce-tabs ul.tabs li {
border-color: $theme_color;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li::after {
box-shadow: -2px 2px 0 $theme_color;
}
.woocommerce div.product .woocommerce-tabs ul.tabs li::before {
box-shadow: 2px 2px 0 $theme_color;
}
.woocommerce .widget_price_filter .ui-slider .ui-slider-handle,
.woocommerce .widget_price_filter .ui-slider .ui-slider-range,
.wc-block-grid__product-onsale,
.woocommerce span.onsale {
background-color: $theme_color;
}
.page.front-page .button,
.blog.front-page .button,
.read-more-button .hentry .read-more .more-link,
input[type=button],
input[type=submit],
button,
.button,
div.wpforms-container-full .wpforms-form input[type=submit],
body div.wpforms-container-full .wpforms-form button[type=submit],
div.wpforms-container-full .wpforms-form .wpforms-page-button {
background-color: $theme_color;
padding: 5px 20px;
}

.page.front-page .button:focus,
.blog.front-page .button:focus,
.page.front-page .button:hover,
.blog.front-page .button:hover
{
background-color: $theme_color;
}

.wp-block-button__link:focus,
.wp-block-button__link:hover,
.read-more-button .hentry .read-more .more-link:hover,
.read-more-button .hentry .read-more .more-link:focus,
input[type=button]:hover,
input[type=submit]:hover,
input[type=button]:focus,
input[type=submit]:focus,
button:hover,
button:focus,
.button:hover,
.button:focus,
div.wpforms-container-full .wpforms-form input[type=submit]:hover,
div.wpforms-container-full .wpforms-form input[type=submit]:focus,
div.wpforms-container-full .wpforms-form input[type=submit]:active,
div.wpforms-container-full .wpforms-form button[type=submit]:hover,
div.wpforms-container-full .wpforms-form button[type=submit]:focus,
div.wpforms-container-full .wpforms-form button[type=submit]:active,
div.wpforms-container-full .wpforms-form .wpforms-page-button:hover,
div.wpforms-container-full .wpforms-form .wpforms-page-button:active,
div.wpforms-container-full .wpforms-form .wpforms-page-button:focus {
background-color: $theme_color;
}
";
wp_add_inline_style( 'compact-style', apply_filters( 'responsive_head_css', $custom_css ) );

}
add_action( 'wp_enqueue_scripts', 'customizer_styles', 99 );
