<?php
include_once(ABSPATH . 'wp-admin/includes/plugin.php');
function compact_one_custom_functions()
{
    if (is_plugin_active('compact-one-pro-plugin/compact-one-pro-plugin.php')) {
        $plugin_data = get_plugin_data(ABSPATH.'wp-content/plugins/compact-one-pro-plugin/compact-one-pro-plugin.php');
    }
    remove_action('cyberchimps_footer', 'compact_one_footer_credit');
    if (!is_plugin_active('compact-one-pro-plugin/compact-one-pro-plugin.php') || ((is_plugin_active('compact-one-pro-plugin/compact-one-pro-plugin.php')) && $plugin_data['Version'] < 1.2)) {
    add_action('cyberchimps_footer', 'compact_one_footer_credit');
    }
}
add_action('init', 'compact_one_custom_functions');

/**
 * Load options customizer file
 */
function cyberchimps_load_customizer() {
    require_once get_stylesheet_directory() . '/options-customizer.php';
}
add_action( 'init', 'cyberchimps_load_customizer' );



/**
 * Excerpt length for slider, features, work, team section
 *
 * @param array $length Excerpt length.
 */
function compact_one_sections_excerpt_length($length)
{
    return 10;
}

/* Checkbox */
function cyberchimps_sanitize_checkbox( $input ) {
    if ( $input ) {
        $output = '1';
    } else {
        $output = false;
    }

    return $output;
}

add_filter( 'cyberchimps_sanitize_checkbox', 'cyberchimps_sanitize_checkbox' );

/**
 * Footer area modified
 */
function compact_one_footer_credit()
{
    ?>
    <footer class="container-full-width" id="after_footer">
        <div class="compact_one_footer_icons">
            <?php cyberchimps_header_social_icons(); ?>
        </div><!-- end of .compact_one_footer_icons -->


    </footer><!-- end of #after_footer -->

    <?php
}

/**
 * Social icons positioned in header and some theme's footer
 *
 * The key of the $social variable has to match the font icon you want to use. If that differs from the name you want displayed set the title key
 * e.g. $social['twitterbird']['title'] = 'twitter';
 *
 * styling is located in /lib/css/core.css
 * icon fonts are from http://drinchev.github.io/monosocialiconsfont/
 */
function cyberchimps_header_social_icons() {

    // get the design of the icons to apply the right class
    $design = get_theme_mod( 'theme_backgrounds', 'default' );

    // create array of social icons to loop through to check if they are set and add title key to
    // social networks with names different to key

    $social['twitterbird']['set']   = get_theme_mod( 'social_twitter', 'checked' );
    $social['twitterbird']['title'] = 'twitter';
    $social['twitterbird']['url']   = get_theme_mod( 'twitter_url' );
    $social['facebook']['set']      = get_theme_mod( 'social_facebook', 'checked' );
    $social['facebook']['url']      = get_theme_mod( 'facebook_url' );
    $social['googleplus']['set']    = get_theme_mod( 'social_google', 'checked' );
    $social['googleplus']['url']    = get_theme_mod( 'google_url' );
    $social['flickr']['set']        = get_theme_mod( 'social_flickr' );
    $social['flickr']['url']        = get_theme_mod( 'flickr_url' );
    $social['pinterest']['set']     = get_theme_mod( 'social_pinterest' );
    $social['pinterest']['url']     = get_theme_mod( 'pinterest_url' );
    $social['linkedin']['set']      = get_theme_mod( 'social_linkedin' );
    $social['linkedin']['url']      = get_theme_mod( 'linkedin_url' );
    $social['youtube']['set']       = get_theme_mod( 'social_youtube' );
    $social['youtube']['url']       = get_theme_mod( 'youtube_url' );
    $social['map']['set']           = get_theme_mod( 'social_googlemaps' );
    $social['map']['title']         = 'google maps';
    $social['map']['url']           = get_theme_mod( 'googlemaps_url' );
    $social['email']['set']         = get_theme_mod( 'social_email' );
    $social['email']['url']         = 'mailto:' . get_theme_mod( 'email_url' );
    $social['rss']['set']           = get_theme_mod( 'social_rss' );
    $social['rss']['url']           = get_theme_mod( 'rss_url' );
    $social['instagram']['set']     = get_theme_mod( 'social_instagram' );
    $social['instagram']['url']     = get_theme_mod( 'instagram_url' );

    $output = '';

    // get the blog title to add to link title
    $link_title = get_bloginfo( 'title' );

    // Loop through the $social variable
    foreach ( $social as $key => $value ) {

        // Check that the social icon has been set
        if ( ! empty( $value['set'] ) ) {

            // check if title is set and use it otherwise use key as title
            $title = ( isset( $social[ $key ]['title'] ) ) ? $social[ $key ]['title'] : $key;

            // Create the output
            $output .= '<a href="' . esc_url( $social[ $key ]['url'] ) . '"' . ( 'email' != $key ? ' target="_blank"' : '' )
                . ' title="' . esc_attr( $link_title . ' ' . ucwords( $title ) ) . '" class="symbol '. $key . '"><span class="screen-reader-text">' . $key . ' - ' . __( ' Link will open in new window', 'compact-one' ) . '</span></a>';
        }
    }

    // Echo to the page
    ?>
    <div id="social">
        <div class="<?php echo $design; ?>-icons">
            <?php echo $output; ?>
        </div>
    </div>

    <?php
}
